<?php
session_start();
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session

  $conexion=conecta_default();
  
  $cons = "SELECT MIN(fecha) as fecha FROM historial_calif";
  $xq = mysqli_query($conexion, $cons);  
  $rs = mysqli_fetch_object($xq);
  if($rs->fecha != NULL)
  {
  $prif = explode("-",$rs->fecha);
  $prianio = $prif[0];
  }
  else 
  {
  	$rs = date("Y-m-d");
  	$prif = explode("-",$rs);
  	$prianio = $prif[0];
  }

  
  $cons = "SELECT MAX(fecha) as fecha FROM historial_calif";
  $xq = mysqli_query($conexion, $cons);
  if($rs->fecha != NULL)
  {
    $rs = mysqli_fetch_object($xq);
  	$ultf = explode("-",$rs->fecha);
  	$ultanio = $ultf[0];	
  }
  else 
  {
  	$rs = date("Y-m-d");
  	$ultf = explode("-",$rs);
  	$ultanio = $ultf[0];
  }
  
 ?>
 
 <html>
 <head> </head>
  <title>Regalias por fecha</title> 
<body>
 <br />
 <form name="f1" action="reportecalifecha.php" method="post">   
  <center>
     <label style='color:#5C3C12; font-size:28px; font-weight:bold'>Calificados por Fecha.</label>
     <br /><br /><br />
     Elije el mes y a&ntilde;o del cual deseas conocer los calificados y sus generaciones.
     <br /><br />

     <select name="mes" style="width:120">
	 <option value="01"> Enero
	 <option value="02"> Febrero
	 <option value="03"> Marzo
	 <option value="04"> Abril
	 <option value="05"> Mayo
	 <option value="06"> Junio
	 <option value="07"> Julio
	 <option value="08"> Agosto
	 <option value="09"> Septiembre
	 <option value="10"> Octubre
	 <option value="11"> Noviembre
	 <option value="12"> Diciembre
	 </select>
	 
	 <select name="anio">
	 <?php
	 $x = $prianio;
	 for($x;$x<=$ultanio;$x++)
	 echo "<option value='$x'> $x";
	 ?>
	 </select>
	 <br /><br /><br />
	 <input type="submit" value="Ver Reporte">
	 </center>
   </form>
</body>
</html>